SET @decimals=1; 
SET @aggLineName = "_All";

SELECT direct.serverCode
	, direct.SampleSize AS SampleSizeDirect
	, ROUND(direct.AvgValue,@decimals) AS AvgValueDirect
	, ROUND(direct.SdValue,@decimals) AS SdValueDirect
	, jondo.SampleSize AS SampleSizeJonDo
	, ROUND(jondo.AvgValue,@decimals) AS AvgValueJonDo
	, ROUND(jondo.SdValue,@decimals) AS SdValueJonDo
	, ROUND(jondo.AvgValue-direct.AvgValue,@decimals) AS AbsIncJonDo
	, ROUND((jondo.AvgValue-direct.AvgValue)/direct.AvgValue * 100, @decimals) AS RelIncJonDo
	, tor.SampleSize AS SampleSizeTor
	, ROUND(tor.AvgValue,@decimals) AS AvgValueTor
	, ROUND(tor.SdValue,@decimals) AS SdValueTor
	, ROUND(tor.AvgValue-direct.AvgValue,@decimals) AS AbsIncTor
	, ROUND((tor.AvgValue-direct.AvgValue)/direct.AvgValue * 100, @decimals) AS RelIncTor
	, ROUND(tor.AvgValue-jondo.AvgValue,@decimals) AS AbsIncJonDo2Tor
	, ROUND((tor.AvgValue-jondo.AvgValue)/tor.AvgValue * 100, @decimals) AS RelIncJonDo2Tor
FROM

(
SELECT serverCode
	, accessMech
	, COUNT(id) AS SampleSize
	, AVG(finished) AS AvgValue
	, STD(finished) AS SdValue
FROM observations_parallel
WHERE accessMech="direct"
GROUP BY serverCode
	, accessMech 
	UNION
SELECT @aggLineName AS serverCode
	, accessMech
	, COUNT(id) AS SampleSize
	, AVG(finished) AS AvgValue
	, STD(finished) AS SdValue
FROM observations_parallel
WHERE accessMech="direct"
GROUP BY accessMech
) direct

, (
SELECT serverCode
	, accessMech
	, COUNT(id) AS SampleSize
	, AVG(finished) AS AvgValue
	, STD(finished) AS SdValue
FROM observations_parallel
WHERE accessMech="JonDo"
GROUP BY serverCode
	, accessMech 
	UNION
SELECT @aggLineName AS serverCode
	, accessMech
	, COUNT(id) AS SampleSize
	, AVG(finished) AS AvgValue
	, STD(finished) AS SdValue
FROM observations_parallel
WHERE accessMech="JonDo"
GROUP BY accessMech
) jondo

, (
SELECT serverCode
	, accessMech
	, COUNT(id) AS SampleSize
	, AVG(finished) AS AvgValue
	, STD(finished) AS SdValue
FROM observations_parallel
WHERE accessMech="TOR"
GROUP BY serverCode
	, accessMech 
	UNION
SELECT @aggLineName AS serverCode, accessMech
	, COUNT(id) AS SampleSize
	, AVG(finished) AS AvgValue
	, STD(finished) AS SdValue
FROM observations_parallel
WHERE accessMech="TOR"
GROUP BY accessMech
) tor

WHERE direct.serverCode = jondo.serverCode 
  AND direct.serverCode = tor.serverCode
ORDER BY serverCode